lucene-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael McCandless <luc...@mikemccandless.com>
Subject Re: [VOTE] Release PyLucene 2.9.1-1
Date Sat, 07 Nov 2009 10:44:08 GMT
Signature & md5 check out.  I got everything working and ran my usual
basic "index & search first 100K docs from wikipedia" smoke test just fine.

But a couple questions/issues:

  * Is it expected that jcc_ver = '2.4.1' in jcc/setup.py?  (Are/were
    we trying to track Lucene's versioning, here?  I wouldn't think
    so, in general, but since that looks like a Lucene version, I'm
    asking...)

  * From Makefile, it looks like you're exporting HEAD of Lucene's 2.9
    branch (instead of the 2.9.1 tag).  Is that intended?  Also, the
    tar file has Lucene's sources (but in prior releases, I think, you
    let "svn export" retrieve them for me).

  * I'm using Python 2.6.4 (32 bit), which I downloaded from
    python.org and installed myself.

    I hit this:

Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py",
line 122, in _run_module_as_main
    "__main__", fname, loader, pkg_name)
  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/runpy.py",
line 34, in _run_code
    exec code in run_globals
  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/jcc/__main__.py",
line 88, in <module>
    cpp.jcc(sys.argv)
  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/jcc/cpp.py",
line 519, in jcc
    shared, compiler, modules, wininst, arch)
  File "/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-packages/jcc/python.py",
line 1289, in compile
    raise ImportError, 'setuptools is required when using --shared'
ImportError: setuptools is required when using --shared

    Removing --shared from Makefile seems to have worked around it.
    I'm assuming this is something silly about my env!

Mike

On Sat, Nov 7, 2009 at 3:18 AM, Andi Vajda <vajda@apache.org> wrote:
>
> With the (imminent) release of Java Lucene 2.9.1, a PyLucene 2.9.1-1 release
> closely tracking it is ready.
>
> Release candidate 1 of PyLucene 2.9.1-1 is available from:
>
>    http://people.apache.org/~vajda/staging_area/
>
> I'm using a new code signing key that implements the recently updated key
> strength requirements. I also had my new key signed by a couple of people at
> ApacheCon [1].
>
> The pylucene-2.9.1 source archive is about five times bigger than the
> previous one since it now includes the Lucene Java sources as well. This
> should provide some welcome relief to the Apache svn server.
>
> A list of changes in this release can be seen at:
> http://svn.apache.org/repos/asf/lucene/pylucene/branches/pylucene_2_9/CHANGES
> http://svn.apache.org/repos/asf/lucene/pylucene/branches/pylucene_2_9/jcc/CHANGES
>
> Please vote to release these artifacts as PyLucene 2.9.1-1.
>
> Thanks !
>
> Andi..
>
> ps: the KEYS file for PyLucene release signing is at:
>    http://svn.apache.org/repos/asf/lucene/pylucene/dist/KEYS
>    http://people.apache.org/~vajda/staging_area/KEYS
>
> [1] http://pgp.mit.edu:11371/pks/lookup?op=vindex&search=0x88E27CA20ED7633F
>

Mime
View raw message